org.apache.ignite.internal.util.nodestart

## Interface IgniteSshHelper

    public interface IgniteSshHelper

SSH processor, interface was introduced to avoid mandatory runtime dependency on SSH library.

### Method Summary

Methods
`StartNodeCallable` `nodeStartCallable(IgniteRemoteStartSpecification spec, int timeout)` Creates `Callable` starting node using SSH.

### Method Detail

#### nodeStartCallable

    StartNodeCallable nodeStartCallable(IgniteRemoteStartSpecification spec,
                                      int timeout)

Creates `Callable` starting node using SSH.

Parameters:
  `spec` - Specification.
  `timeout` - Connection timeout.
Returns:
  `Callable` starting node using SSH.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017